function newCrdn06030Control(pageName, doctx="[data-doctx='excl01020']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "crdnSttsCd"
        , prefixName: "단속 상태"
        , dataGetter: obj => obj["Info"]
        , keys: ["CRDN_ID"]
        , urls: {
            update: "/update.do"
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrl.selector("[name='frmEdit']"));
        formFields.set(ctrl, item);

        // 업무구분에 따른 URL 변경
        ctrl.urls.update = wctx.url(pageObject[pageName].prefixUrl + "/030/update.do");    // 수정
    };

    // 저장 callback
    ctrl.onSave = (params, resp) => {
        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { dialog.close(modalId); }
            }
        });
    }

    // 저장
    ctrl.save = (params) => {
        if (!params) return;

        ajax.post({
              url: ctrl.urls.update
            , data: params || {}
            , success: (resp) => { ctrl.onSave(params, resp); }
        });
    }

    return ctrl;
}
